## shared-mime-info 0.15-4

=== debian/changelog ===
shared-mime-info (0.15-4) unstable; urgency=low

  * Removed documentation to avoid dependences
    (docbook->jadetex->tetex)

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Mon, 20 Feb 2006 18:33:10 +0200

shared-mime-info (0.15-3) unstable; urgency=medium

  * Strip out locale data, since it's not needed in this context.

 -- Richard Hult <richard@imendio.com>  Tue,  7 Jun 2005 17:32:08 +0200

shared-mime-info (0.15-1) unstable; urgency=medium

  * New upstream version.
  * Add magic for non-gzipped dia files. (Closes: #260765)
  * Register documentation with doc-base. (Closes: #267439)
  * Refine the Lotus 123 magic pattern, to avoid some Truevision Targa files
    getting detected as such.

 -- Filip Van Raemdonck <mechanix@debian.org>  Wed,  1 Sep 2004 21:21:02 +0200

shared-mime-info (0.14-2) unstable; urgency=low

  * Acknowledge NMU. (Closes: #240754, #243964, #247398)
  * Add Ruby shebang line variation. (Closes: #255692)
  * Improve SMIL detection. (Closes: #256750)
  * Add GNOME team to uploaders.

 -- Filip Van Raemdonck <mechanix@debian.org>  Tue, 31 Aug 2004 19:13:48 +0200

shared-mime-info (0.14-1.1) unstable; urgency=low

  * NMU to fix a RC bug (Closes: #240754). 
  * Repackaged with CDBS since the previous system seems to be totally broken
    on all archs.
  * debian/patches/001_gdesklets-mime.patch:
    + support for gdesklets .display files (Closes: #243964).
  * debian/control:
    + updated Build-Depends.
    + updated Standards-Version to 3.6.1.0.
  
 -- Sebastien Bacher <seb128@debian.org>  Sat, 24 Apr 2004 18:41:08 +0200

shared-mime-info (0.14-1) unstable; urgency=low

  * New upstream version.
  * Acknowledge NMU. (Closes: #232912)
  * Upload to unstable.

 -- Filip Van Raemdonck <mechanix@debian.org>  Thu, 25 Mar 2004 19:36:22 +0100

shared-mime-info (0.13-1) experimental; urgency=low

  * NMU with maintainers permission
  * New upstream release (closes: #232912)

 -- Ross Burton <ross@debian.org>  Wed, 24 Mar 2004 11:59:08 +0000

shared-mime-info (0.12-1) experimental; urgency=low

  * New upstream version.

 -- Filip Van Raemdonck <mechanix@debian.org>  Tue, 30 Sep 2003 21:08:27 +0200

shared-mime-info (0.9-1) experimental; urgency=low

  * New upstream version.
  * First real upload, to experimental.
  * Add --mandir to configure call, since autoconf is apparently still
    ass-backwards enough to not add the share/ part in the man path.

 -- Filip Van Raemdonck <mechanix@debian.org>  Mon, 29 Jul 2002 23:42:47 +0200

shared-mime-info (0.8-1) unstable; urgency=low

  * New upstream version.
  * Clarify copyright.
  * The package builds a mime installer now, so make it architecture dependent
    and add the necessary builddependencies.
  * Patch the makefile so that the update-mime-database program isn't run on
    "$(MAKE) install".
  * Build a pdf and html version of the spec.
  * Make sure install-sh strips the .note and .comment sections, too.

 -- Filip Van Raemdonck <mechanix@debian.org>  Thu, 25 Jul 2002 23:26:59 +0200

shared-mime-info (0.7-1) unstable; urgency=low

  * Initial release.

 -- Filip Van Raemdonck <mechanix@debian.org>  Thu,  4 Jul 2002 19:32:21 +0200

## shared-mime-info 2.0

=== Makefile ===
# Makefile for source rpm: rhythmbox
# $Id: Makefile,v 1.2 2007/10/15 19:20:57 notting Exp $
NAME := rhythmbox
SPECFILE = $(firstword $(wildcard *.spec))

define find-makefile-common
for d in common ../common ../../common ; do if [ -f $$d/Makefile.common ] ; then if [ -f $$d/CVS/Root -a -w $$/Makefile.common ] ; then cd $$d ; cvs -Q update ; fi ; echo "$$d/Makefile.common" ; break ; fi ; done
endef

MAKEFILE_COMMON := $(shell $(find-makefile-common))

ifeq ($(MAKEFILE_COMMON),)
# attempt a checkout
define checkout-makefile-common
test -f CVS/Root && { cvs -Q -d $$(cat CVS/Root) checkout common && echo "common/Makefile.common" ; } || { echo "ERROR: I can't figure out how to checkout the 'common' module." ; exit -1 ; } >&2
endef

MAKEFILE_COMMON := $(shell $(checkout-makefile-common))
endif

include $(MAKEFILE_COMMON)

## shared-mime-info 0.15-5

=== debian/changelog ===
shared-mime-info (0.15-5) unstable; urgency=medium

  * Fixes NB#: 34440, shared-mime-info: out-dated Makefile.in
  * Do this by regenerating Makefile.in, config.guess, config.sub,
    ltmain.sh, and adding autogen.sh to make this easier in the future

 -- Richard Hult <richard@imendio.com>  Tue, 25 Sep 2006 15:56:42 +0200

=== debian/control ===
Source: shared-mime-info
Section: misc
Priority: optional
Maintainer: Filip Van Raemdonck <mechanix@debian.org>
Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Akira TAGOH <tagoh@debian.org>, Andreas Rottmann <rotty@debian.org>, Andrew Lau <netsnipe@users.sourceforge.net>, Carlos Perelló Marín <carlos@pemas.net>, Ed Boraas <ed@debian.org>, Edd Dumbill <ejad@debian.org>, Emil Soleyman-Zomalan <emil@nishra.com>, Gustavo Noronha Silva <kov@debian.org>, J.H.M. Dassen (Ray) <jdassen@debian.org>, Joe Drew <drew@debian.org>, Johannes Rohr <j.rohr@comlink.org>, Jordi Mallach <jordi@debian.org>, Jose Carlos Garcia Sogo <jsogo@debian.org>, Josselin Mouette <joss@debian.org>, Marc 'HE' Brockschmidt <he@debian.org>, Ondřej Surý <ondrej@debian.org>, Rob Bradford <rob@debianplanet.org>, Robert McQueen <robot101@debian.org>, Ross Burton <ross@debian.org>, Sebastien Bacher <seb128@debian.org>, Sjoerd Simons <sjoerd@debian.org>, Takuo KITAME <kitame@debian.org>
Build-Depends: cdbs, debhelper, gnome-pkg-tools, libglib2.0-dev, libxml2-dev, libxml-parser-perl
Standards-Version: 3.6.1.0
Bugs: debbugs://bugs.debian.org/
Origin: Debian

Package: shared-mime-info
Architecture: any
Depends: ${shlibs:Depends}
Description: FreeDesktop.org shared MIME database and spec
 This is the shared MIME-info database from the X Desktop Group. It is required
 by any program complying to the Shared MIME-Info Database spec, which is also
 included in this package.
 .
 At this time, only ROX uses this database. GNOME and KDE are expected to
 follow soon, and hopefully others too.

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-

include /usr/share/cdbs/1/class/gnome.mk
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/simple-patchsys.mk
include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk

DEB_CONFIGURE_EXTRA_FLAGS := --disable-update-mimedb

build/shared-mime-info::
#	docbook2pdf shared-mime-info-spec.xml && \
#	docbook2html -o shared-mime-info-spec.html shared-mime-info-spec.xml

clean::
	-rm -rf shared-mime-info-spec.html shared-mime-info-spec.pdf

## shared-mime-info 0.19-1

=== debian/changelog ===
shared-mime-info (0.19-1) unstable; urgency=medium

  * Rebase against new upstream version 0.19, changes:
    - Also urge XMLnamespaces, subclasses, aliases, and mime.cache
    - Make the mime cache contain an mmappable binary format
    - Add acronym and expanded-acronym
    - Add recommendations for duplicate globs handling

 -- Richard Hult <richard@imendio.com>  Tue,  4 Apr 2007 09:16:33 +0200

=== debian/control ===
Source: shared-mime-info
Section: misc
Priority: optional
Maintainer: Erik Karlsson <erik.b.karlsson@nokia.com>
Build-Depends: cdbs, debhelper, gnome-pkg-tools, libglib2.0-dev, libxml2-dev
Standards-Version: 3.6.1.0

Package: shared-mime-info
Architecture: any
Depends: ${shlibs:Depends}
Description: FreeDesktop.org shared MIME database and spec
 This is the shared MIME-info database from the X Desktop Group.

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-

#export DH_VERBOSE=1
export DH_COMPAT=4

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/gnome.mk

DEB_CONFIGURE_EXTRA_FLAGS := --disable-update-mimedb

post-patches:: debian/stamp-autothings-update
debian/stamp-autothings-update:
	NOCONFIGURE=1 ./autogen.sh
	# Can add things here that need to be ran after autogen.sh
	touch $@

clean::
	rm -f debian/stamp-autothings-update

## shared-mime-info 0.71

=== debian/changelog ===
shared-mime-info (0.71-4) unstable; urgency=medium

  * debian/postrm:
    + Fix purging of the package. Thanks to Andreas Metzler for
      the patch (Closes: #602626).

 -- Sebastian Dröge <slomo@debian.org>  Fri, 12 Nov 2010 09:06:59 +0100

shared-mime-info (0.71-3) unstable; urgency=low

  * debian/patches/154_ogg-mkv-webm-media-icons.patch,
    debian/patches/155_audio-webm.patch,
    debian/patches/156_mkv-webm-magic.patch:
    + Patches from upstream bugzilla to a) add correct icons to the Ogg,
      Matroska, WebM types, b) add audio/webm and c) improve the magic
      detection of Matroska and WebM files.

 -- Sebastian Dröge <slomo@debian.org>  Sat, 29 May 2010 15:22:38 +0200

shared-mime-info (0.71-2) unstable; urgency=low

  * debian/postrm:
    + Don't purge too much or too few files (Closes: #527063).
      Thanks to Josselin Mouette for the postrm snippet.
  * debian/patches/151-webm.patch:
    + Patch from upstream GIT to add the WebM mimetype.
  * debian/source/format,
    debian/compat,
    debian/rules,
    debian/control:
    + Update to Standards-Version 3.8.4.
    + Update to source format 3.0 (quilt).
    + Update to debhelper compat level 7.
  * debian/control:
    + Update description to include KDE too (Closes: #575184).
  * debian/patches/061_tex-matlab.patch:
    + Don't misdetect TeX files as matlab scripts (Closes: #508176).
  * debian/patches/001_POTFILES.skip.patch:
    + Add .pc/* to the intltool ignore-list to fix a build failure...
  * debian/patches/152_qt-designer.patch:
    + Mark Qt designer files as subclass of XML (Closes: #580253).
      Patch from upstream GIT.
  * debian/rules:
    + Remove pre-generated mime database before building.
  * debian/patches/153_mpegts.patch:
    + Patch from upstream GIT to add MPEG TS support.

 -- Sebastian Dröge <slomo@debian.org>  Sat, 29 May 2010 11:23:43 +0200

shared-mime-info (0.71-1) unstable; urgency=low

  * New upstream release:
    + debian/patches/240_D_is_not_C.patch:
      - Dropped, merged upstream.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 02 Feb 2010 18:37:49 +0100

shared-mime-info (0.70-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    + Update Standards-Version to 3.8.3.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 08 Oct 2009 15:45:20 +0200

shared-mime-info (0.60-2) unstable; urgency=low

  * Remove the nautilus conflict. It was wrong since nautilus uses
    libgnomevfs for which we already have a conflict with old versions.
    Closes: #517270, #517848.

 -- Emilio Pozuelo Monfort <pochu@ubuntu.com>  Tue, 03 Mar 2009 12:53:52 +0100

shared-mime-info (0.60-1) unstable; urgency=low

  * New upstream release:
    + debian/patches/080_spec_url.patch,
      debian/patches/190_javascript_is_not_C.patch,
      debian/patches/210_OOXML_types.patch:
      - Dropped, merged upstream.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 24 Feb 2009 09:36:28 +0100

shared-mime-info (0.51-4) unstable; urgency=low

  * debian/control: Add Conflicts for nautilus, tracker and libgnomevfs,
    since the mime cache format changed incompatibly and those used
    an old implementation of xdgmime. Closes: #515728.

 -- Emilio Pozuelo Monfort <pochu@ubuntu.com>  Wed, 18 Feb 2009 21:30:52 +0100

shared-mime-info (0.51-3) unstable; urgency=low

  * Really skip calls to update-mime-database if they come from dpkg,
    but only skip them if the database is /usr/share/mime.
  * debian/shared-mime-info.doc-base: Section is Help/Standards.
  * Update the MIME database when shared-mime-info is configured.

 -- Emilio Pozuelo Monfort <pochu@ubuntu.com>  Mon, 16 Feb 2009 16:09:08 +0100

shared-mime-info (0.51-2) unstable; urgency=low

  [ Emilio Pozuelo Monfort ]
  * Add dpkg triggers support to update-mime-database.
  * Rename update-mime-database to update-mime-database.real
    and put a wrapper as update-mime-database that calls the real
    binary except if it was called from a maintainer script and
    dpkg supports triggers.

  [ Sebastian Dröge ]
  * Upload to unstable.
  * debian/control:
    + Wrap (build-) depends.

 -- Sebastian Dröge <slomo@debian.org>  Sun, 15 Feb 2009 19:46:33 +0100

shared-mime-info (0.51-1) experimental; urgency=low

  * New upstream release:
    + debian/control:
      - Conflict with GLib << 2.17.2.
      - Build depend on intltool >= 0.35.
    + debian/patches/230_matroska-conflicts.patch,
      debian/patches/220_m3u8.patch:
      - Dropped, merged upstream.
    + debian/patches/150_mps-mime.patch,
      debian/patches/210_OOXML_types.patch:
      - Update to apply cleanly again.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 08 Dec 2008 15:51:46 +0100

shared-mime-info (0.30-2) unstable; urgency=low

  * debian/patches/220_m3u8.patch:
    + Add support for m3u8 files, which are just like usual m3u files but in
      UTF8 instead of ISO-8859-1 (Closes: #482821).
  * debian/patches/230_matroska-conflicts.patch:
    + Remove conflicts between audio/x-matroska and video/x-matroska.
      Thanks to Josselin Mouette for the patch (Closes: #483376).
  * debian/patches/240_D_is_not_C.patch:
    + Patch from fd.o bugzilla to not misdetect D source code as C.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 29 May 2008 08:02:56 +0200

shared-mime-info (0.30-1) unstable; urgency=low

  * New upstream release:
    + Fixes conflicts in audio/x-wav and video/x-msvideo
      magic (Closes: #443772).
    + debian/control:
      - Update build dependencies.
    + debian/patches/90_no_xcontent_warning.patch:
      - Dropped, merged upstream.
    + debian/patches/060_pdf_priority.patch,
      debian/patches/190_javascript_is_not_C.patch,
      debian/patches/210_OOXML_types.patch:
      - Updated to apply cleanly again.
    + debian/patches/080_spec_url.patch:
      - Use correct spec URL in the manpage (Closes: #475220).

 -- Sebastian Dröge <slomo@debian.org>  Thu, 15 May 2008 23:21:12 +0200

shared-mime-info (0.23-5) unstable; urgency=low



=== debian/control ===
Source: shared-mime-info
Section: misc
Priority: optional
Maintainer: Filip Van Raemdonck <mechanix@debian.org>
Uploaders: Sebastian Dröge <slomo@debian.org>
Build-Depends: cdbs (>= 0.4.35),
               debhelper (>= 7),
               autotools-dev,
               docbook-utils,
               docbook-xml,
               libglib2.0-dev (>= 2.6.0),
               libxml2-dev (>= 2.4),
               intltool (>= 0.35),
               libxml2-utils
Standards-Version: 3.8.4

Package: shared-mime-info
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Conflicts: libglib2.0-0 (<< 2.17.2),
           tracker (<< 0.6.90),
           libgnomevfs2-0 (<< 1:2.24.0)
Description: FreeDesktop.org shared MIME database and spec
 This is the shared MIME-info database from the X Desktop Group. It is required
 by any program complying to the Shared MIME-Info Database spec, which is also
 included in this package.
 .
 At this time at least ROX, GNOME, KDE and XFCE use this database.

## shared-mime-info 0.90

=== debian/changelog ===
shared-mime-info (0.90-1) unstable; urgency=low

  * New upstream release.
  * Upload to unstable.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 14 Feb 2011 17:10:23 +0100

shared-mime-info (0.80-2) experimental; urgency=low

  * debian/postrm:
    + Fix purging of the package. Thanks to Andreas Metzler for
      the patch (Closes: #602626).

 -- Sebastian Dröge <slomo@debian.org>  Fri, 12 Nov 2010 08:58:13 +0100

shared-mime-info (0.80-1) experimental; urgency=low

  [ Timur Birsh ]
  * New upstream release (Closes: #601559):
    + Fixes printing of newlines after warnings (Closes: #592201).
    + Uses correct mimetype for rar archives (Closes: #575187).
    + debian/patches/152_qt-designer.patch,
      debian/patches/153_mpegts.patch,
      debian/patches/156_mkv-webm-magic.patch:
      - Dropped, merged upstream.

  [ Sebastian Dröge ]
  * debian/patches/151_webm.patch,
    debian/patches/154_ogg-mkv-webm-media-icons.patch,
    debian/patches/155_audio-webm.patch:
    + Dropped, merged upstream too.
  * debian/control:
    + Remove Filip Van Raemdonck as maintainer, he didn't work
      on this package for a long time. Thanks for all the work
      in the past Filip (Closes: #503538).
    + Add Homepage field (Closes: #595678).
  * debian/patches/*:
    + Refresh all patches.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 03 Nov 2010 14:50:47 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: shared-mime-info
 Section: misc
 Priority: optional
-Maintainer: Filip Van Raemdonck <mechanix@debian.org>
-Uploaders: Sebastian Dröge <slomo@debian.org>
+Maintainer: Sebastian Dröge <slomo@debian.org>
 Build-Depends: cdbs (>= 0.4.35),
                debhelper (>= 7),
                autotools-dev,
@@ -13,6 +12,7 @@
                intltool (>= 0.35),
                libxml2-utils
 Standards-Version: 3.8.4
+Homepage: http://freedesktop.org/wiki/Software/shared-mime-info
 
 Package: shared-mime-info
 Architecture: any

## shared-mime-info 1.0

=== debian/changelog ===
shared-mime-info (1.0-1) unstable; urgency=low

  * New upstream release.
  * ACK NMU 0.90-1.1.
  * debian/patches/:
    + Refresh to apply cleanly again.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 07 Jun 2012 18:01:14 +0200

shared-mime-info (0.90-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Support multi-arch:
    - Mark shared-mime-info as foreign. (closes: #616645)

 -- Bastian Blank <waldi@debian.org>  Fri, 11 May 2012 13:51:00 +0000

=== debian/control ===
--- 
+++ 
@@ -21,6 +21,7 @@
 Conflicts: libglib2.0-0 (<< 2.17.2),
            tracker (<< 0.6.90),
            libgnomevfs2-0 (<< 1:2.24.0)
+Multi-Arch: foreign
 Description: FreeDesktop.org shared MIME database and spec
  This is the shared MIME-info database from the X Desktop Group. It is required
  by any program complying to the Shared MIME-Info Database spec, which is also

## shared-mime-info 1.1

=== debian/changelog ===
shared-mime-info (1.1-0ubuntu5) saucy; urgency=low

  * Update translations from launchpad

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 04 Oct 2013 11:42:10 +0200

shared-mime-info (1.1-0ubuntu4) saucy; urgency=low

  * debian/patches/x_click_type.patch:
    - Revert; this is now in click (>= 0.3.0) instead.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 06 Aug 2013 11:21:13 +0100

shared-mime-info (1.1-0ubuntu3) saucy; urgency=low

  * debian/patches/x_click_type.patch: 
    - new mimetype for the click packages, thanks Colin Watson

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 11 Jul 2013 21:20:34 +0200

shared-mime-info (1.1-0ubuntu2) raring; urgency=low

  * debian/patches/launchpad_translations_update.patch:
    - updated translation from launchpad before release

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 17 Apr 2013 11:27:34 +0200

shared-mime-info (1.1-0ubuntu1) raring; urgency=low

  * New upstream version
  * debian/patches/launchpad_translations_update.patch:
    - drop during the unstable cycle, this way the new upstream translations
      get imported and there is less patch refreshing work

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 25 Feb 2013 15:12:39 +0100

shared-mime-info (1.0-1ubuntu2) quantal; urgency=low

  * debian/patches/launchpad_translations_update.patch:
    - updated translation from launchpad before release

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 09 Oct 2012 14:00:58 +0200

shared-mime-info (1.0-1ubuntu1) quantal; urgency=low

  * Resync on Debian, remaining diffs
  * debian/patches/scribus.patch: list scribus type so nautilus suggests 
    to install the software correctly (lp: #972475)
  * debian/patches/gtkbuilder.patch:
    - detect gtkbuilder files so they open with glade

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 23 Jul 2012 15:42:15 +0200

## shared-mime-info 1.2

=== debian/changelog ===
shared-mime-info (1.2-0ubuntu3) trusty; urgency=medium

  * debian/patches/launchpad_translations_update.patch:
    - updated translation from launchpad before release

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 11 Apr 2014 10:00:32 +0200

shared-mime-info (1.2-0ubuntu2) trusty; urgency=medium

  * debian/patches/git_opus_type.patch:
    - define "audio/x-opus+ogg" type, thanks Doug McMahon (lp: #1284198)

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 28 Feb 2014 16:44:52 +0100

shared-mime-info (1.2-0ubuntu1) trusty; urgency=low

  * New upstream version

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 22 Nov 2013 12:32:07 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: shared-mime-info
 Section: misc
 Priority: optional
-Maintainer: Sebastian Dröge <slomo@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Sebastian Dröge <slomo@debian.org>
 Build-Depends: cdbs (>= 0.4.35),
                debhelper (>= 7),
                autotools-dev,

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-

include /usr/share/cdbs/1/class/gnome.mk
include /usr/share/cdbs/1/rules/debhelper.mk

DEB_CONFIGURE_EXTRA_FLAGS += --disable-update-mimedb
DEB_COMPRESS_EXCLUDE += ".pdf"

makebuilddir::
	rm -f freedesktop.org.xml

build/shared-mime-info::
	docbook2pdf shared-mime-info-spec.xml && \
	docbook2html -o shared-mime-info-spec.html shared-mime-info-spec.xml

# Install the dpkg triggers wrapper as the binary
install/shared-mime-info::
	mv debian/shared-mime-info/usr/bin/update-mime-database \
		debian/shared-mime-info/usr/bin/update-mime-database.real
	install debian/wrapper debian/shared-mime-info/usr/bin/update-mime-database

clean::
	-rm -rf shared-mime-info-spec.html shared-mime-info-spec.pdf

=== debian/watch ===
version=2
http://people.freedesktop.org/~hadess/ \
	shared-mime-info-(.*).tar.bz2 \
	debian uupdate

## shared-mime-info 1.3

=== debian/changelog ===
shared-mime-info (1.3-1) unstable; urgency=low

  [ Ulrike Uhlig ]
  * New upstream release (Closes: #743942)

  [ Sebastian Dröge ]
  * Upload to unstable.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 14 May 2014 21:12:23 +0200

shared-mime-info (1.2-1) unstable; urgency=medium

  * New upstream release.
  * debian/watch:
    + Look for .xz tarballs. Don't uupdate.
  * debian/patches:
    + Refreshed.
  * debian/control:
    + Add myself to Uploaders.
    + Bump Standards-Version to 3.9.5; no changes needed.
    + Add Vcs-Svn and Vcs-Browser fields.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sun, 16 Feb 2014 19:38:23 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: shared-mime-info
 Section: misc
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Sebastian Dröge <slomo@debian.org>
+Maintainer: Sebastian Dröge <slomo@debian.org>
+Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>
 Build-Depends: cdbs (>= 0.4.35),
                debhelper (>= 7),
                autotools-dev,
@@ -12,7 +12,9 @@
                libxml2-dev (>= 2.4),
                intltool (>= 0.35),
                libxml2-utils
-Standards-Version: 3.8.4
+Standards-Version: 3.9.5
+Vcs-Svn: svn://anonscm.debian.org/pkg-freedesktop/trunk/shared-mime-info
+Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-freedesktop/trunk/shared-mime-info/
 Homepage: http://freedesktop.org/wiki/Software/shared-mime-info
 
 Package: shared-mime-info

=== debian/watch ===
version=2
http://people.freedesktop.org/~hadess/ \
	shared-mime-info-(.*).tar.xz

## shared-mime-info 1.5

=== debian/changelog ===
shared-mime-info (1.5-2) unstable; urgency=medium

  * debian/patches/060_pdf_priority.patch:
    + Dropped, this was fixed differently upstream almost 10 years ago.

 -- Sebastian Dröge <slomo@debian.org>  Sun, 20 Sep 2015 09:45:28 +0200

shared-mime-info (1.5-1) unstable; urgency=medium

  * New upstream release
  * debian/watch:
    + Update watch file from
      https://anonscm.debian.org/viewvc/sepwatch/trunk/watchfiles/

 -- Sebastian Dröge <slomo@debian.org>  Sat, 19 Sep 2015 21:32:51 +0200

shared-mime-info (1.4-1) unstable; urgency=medium

  * New upstream release
  * debian/patches/061_tex-matlab.patch:
    + Update to properly escape the \ character from
      Pino Toscano (Closes: #642996).
  * debian/control:
    + Fix spelling of Xfce (instead of XFCE) (Closes: #585138).
  * debian/patches/158_no_directory_alias.patch:
    + Dropped, this was a bug in nautilus that is gone since ages.

 -- Sebastian Dröge <slomo@debian.org>  Sat, 19 Sep 2015 21:13:54 +0200

=== debian/control ===
--- 
+++ 
@@ -30,4 +30,4 @@
  by any program complying to the Shared MIME-Info Database spec, which is also
  included in this package.
  .
- At this time at least ROX, GNOME, KDE and XFCE use this database.
+ At this time at least ROX, GNOME, KDE and Xfce use this database.

=== debian/watch ===
version=3
http://people.freedesktop.org/~hadess/ \
(?:|.*/)shared-mime-info(?:[_\-]v?|)(\d[^\s/]*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)

## shared-mime-info 1.6

=== debian/changelog ===
shared-mime-info (1.6-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Bump Standards-Version to 3.9.8, no changes needed.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Tue, 26 Apr 2016 18:22:59 +0200

## shared-mime-info 1.7

=== debian/changelog ===
shared-mime-info (1.7-1) unstable; urgency=medium

  * New upstream release (Closes: #836880).

 -- Sebastian Dröge <slomo@debian.org>  Wed, 07 Sep 2016 23:34:52 +0300

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                libxml2-dev (>= 2.4),
                intltool (>= 0.35),
                libxml2-utils
-Standards-Version: 3.9.5
+Standards-Version: 3.9.8
 Vcs-Svn: svn://anonscm.debian.org/pkg-freedesktop/trunk/shared-mime-info
 Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-freedesktop/trunk/shared-mime-info/
 Homepage: http://freedesktop.org/wiki/Software/shared-mime-info

## shared-mime-info 1.8

=== debian/changelog ===
shared-mime-info (1.8-1+deb9u1) stretch; urgency=medium

  * Non-maintainer upload.
  * Switch dpkg trigger to noawait. Closes: #864953.

 -- Adrian Bunk <bunk@debian.org>  Wed, 14 Mar 2018 20:01:56 +0200

shared-mime-info (1.8-1) unstable; urgency=medium

  * New upstream release.
  * Switch URLs to https.
  * Drop ancient conflicts.
  * Set maintainer to Debian freedesktop.org maintainers.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Wed, 25 Jan 2017 00:23:38 +0100

=== debian/control ===
Source: shared-mime-info
Section: misc
Priority: optional
Maintainer: Debian freedesktop.org maintainers <pkg-freedesktop-maintainers@lists.alioth.debian.org>
Uploaders: Sebastian Dröge <slomo@debian.org>,
           Emilio Pozuelo Monfort <pochu@debian.org>,
Build-Depends: cdbs (>= 0.4.35),
               debhelper (>= 7),
               autotools-dev,
               docbook-utils,
               docbook-xml,
               libglib2.0-dev (>= 2.6.0),
               libxml2-dev (>= 2.4),
               intltool (>= 0.35),
               libxml2-utils
Standards-Version: 3.9.8
Vcs-Svn: svn://anonscm.debian.org/pkg-freedesktop/trunk/shared-mime-info
Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-freedesktop/trunk/shared-mime-info/
Homepage: https://freedesktop.org/wiki/Software/shared-mime-info

Package: shared-mime-info
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Multi-Arch: foreign
Description: FreeDesktop.org shared MIME database and spec
 This is the shared MIME-info database from the X Desktop Group. It is required
 by any program complying to the Shared MIME-Info Database spec, which is also
 included in this package.
 .
 At this time at least ROX, GNOME, KDE and Xfce use this database.

## shared-mime-info 1.9

=== debian/changelog ===
shared-mime-info (1.9-2) unstable; urgency=medium

  * Disable parallel builds. There seems to be a race that causes
    intermitent build failures.
  * debian/patches/001_POTFILES.skip.patch: Dropped, no longer needed.
  * Bump Standards-Version to 4.1.1; no changes needed.
  * Drop obsolete prerm script.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Tue, 10 Oct 2017 22:56:05 +0200

shared-mime-info (1.9-1) unstable; urgency=medium

  * New upstream release.
  * Switch dpkg trigger to noawait. Closes: #864953.
  * Drop the update-mime-databaser wrapper hack, the trigger migration
    should be complete and maintainer scripts shouldn't be calling
    update-mime-database directly anymore.
  * Switch from CDBS to dh.
  * Switch to debhelper compat 10.
  * Bump Standards-Version to 4.1.0; no changes needed.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Thu, 28 Sep 2017 00:23:08 +0200

=== debian/control ===
--- 
+++ 
@@ -4,16 +4,14 @@
 Maintainer: Debian freedesktop.org maintainers <pkg-freedesktop-maintainers@lists.alioth.debian.org>
 Uploaders: Sebastian Dröge <slomo@debian.org>,
            Emilio Pozuelo Monfort <pochu@debian.org>,
-Build-Depends: cdbs (>= 0.4.35),
-               debhelper (>= 7),
-               autotools-dev,
+Build-Depends: debhelper (>= 10),
                docbook-utils,
                docbook-xml,
                libglib2.0-dev (>= 2.6.0),
                libxml2-dev (>= 2.4),
                intltool (>= 0.35),
                libxml2-utils
-Standards-Version: 3.9.8
+Standards-Version: 4.1.1
 Vcs-Svn: svn://anonscm.debian.org/pkg-freedesktop/trunk/shared-mime-info
 Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-freedesktop/trunk/shared-mime-info/
 Homepage: https://freedesktop.org/wiki/Software/shared-mime-info

=== debian/watch ===
version=3
https://people.freedesktop.org/~hadess/ \
(?:|.*/)shared-mime-info(?:[_\-]v?|)(\d[^\s/]*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)

## shared-mime-info 1.10

=== debian/changelog ===
shared-mime-info (1.10-1) unstable; urgency=medium

  * New upstream release.
  * Updated Vcs fields for move to git and salsa.
  * Add gbp.conf.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Tue, 25 Sep 2018 11:55:36 +0200

=== debian/control ===
--- 
+++ 
@@ -12,8 +12,8 @@
                intltool (>= 0.35),
                libxml2-utils
 Standards-Version: 4.1.1
-Vcs-Svn: svn://anonscm.debian.org/pkg-freedesktop/trunk/shared-mime-info
-Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-freedesktop/trunk/shared-mime-info/
+Vcs-Git: https://salsa.debian.org/freedesktop-team/shared-mime-info.git
+Vcs-Browser: https://salsa.debian.org/freedesktop-team/shared-mime-info
 Homepage: https://freedesktop.org/wiki/Software/shared-mime-info
 
 Package: shared-mime-info

## shared-mime-info 1.10.1

=== debian/changelog ===
shared-mime-info (1.10.1-1+eagle) unstable; urgency=low

  * ['Autobuild release-candidate: 9e7e1eee27eb5d38ba2b2e03bed7ed94ae56a662']

 -- shuttle <shuttle@deepin.com>  Fri, 22 May 2020 16:23:58 +0000

## shared-mime-info 1.15

=== debian/changelog ===
shared-mime-info (1.15-1) unstable; urgency=medium

  * New upstream release. Closes: #954669.
  * Update watch file for gitlab.freedesktop.org.
  * Update build-dependencies.
  * Remove ancient patches changing the magic database. Those should be
    reported upstream if they're still present.
  * Switch to debhelper-compat and bump compat to 12.
  * Don't hardcode full command path in postinst.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Tue, 24 Mar 2020 16:58:21 +0100

=== debian/control ===
--- 
+++ 
@@ -4,13 +4,14 @@
 Maintainer: Debian freedesktop.org maintainers <pkg-freedesktop-maintainers@lists.alioth.debian.org>
 Uploaders: Sebastian Dröge <slomo@debian.org>,
            Emilio Pozuelo Monfort <pochu@debian.org>,
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper-compat (= 12),
                docbook-utils,
                docbook-xml,
+               gettext,
+               itstool,
                libglib2.0-dev (>= 2.6.0),
                libxml2-dev (>= 2.4),
-               intltool (>= 0.35),
-               libxml2-utils
+               libxml2-utils,
 Standards-Version: 4.1.1
 Vcs-Git: https://salsa.debian.org/freedesktop-team/shared-mime-info.git
 Vcs-Browser: https://salsa.debian.org/freedesktop-team/shared-mime-info

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-

%:
	dh $@ --no-parallel

override_dh_auto_configure:
	dh_auto_configure -- \
		--disable-update-mimedb

override_dh_install:
	docbook2pdf shared-mime-info-spec.xml
	docbook2html -o shared-mime-info-spec.html shared-mime-info-spec.xml
	dh_install

override_dh_compress:
	dh_compress -X.pdf

override_dh_clean:
	dh_clean
	rm -rf shared-mime-info-spec.html shared-mime-info-spec.pdf

## shared-mime-info 2.0

=== debian/changelog ===
shared-mime-info (2.0-1) unstable; urgency=medium

  [ Olivier Tilloy ]
  * New upstream release. Closes: #965986.
  * debian/control: add build dependencies on meson and xmlto
  * debian/shared-mime-info.docs, debian/rules: updates to reflect where data
    files are now stored upstream
  * debian/patches/make-pc-file-dataonly.patch: make the pc file
    architecture-independent
  * debian/patches/upstream-fix-pkg-config-installation-path.patch: cherry-pick
    an upstream commit to fix the pc file's installation path

  [ Emilio Pozuelo Monfort ]
  * Add lintian override for test file with no source.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Fri, 09 Oct 2020 19:26:56 +0200

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-

%:
	dh $@ --no-parallel

override_dh_install:
	docbook2pdf -o data data/shared-mime-info-spec.xml
	docbook2html -o data/shared-mime-info-spec.html data/shared-mime-info-spec.xml
	dh_install

override_dh_compress:
	dh_compress -X.pdf

override_dh_clean:
	dh_clean
	rm -rf data/shared-mime-info-spec.html data/shared-mime-info-spec.pdf

## shared-mime-info 2.1

=== debian/changelog ===
shared-mime-info (2.1-2) unstable; urgency=medium

  * debian/patches/git_meson_buildfix.patch:
    - cherry pick a build fix for the new meson

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 14 Jan 2022 10:18:27 +0100

shared-mime-info (2.1-1) experimental; urgency=medium

  * New upstream version

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 08 Jun 2021 20:57:25 +0200

=== debian/control ===
--- 
+++ 
@@ -12,6 +12,8 @@
                libglib2.0-dev (>= 2.6.0),
                libxml2-dev (>= 2.4),
                libxml2-utils,
+               meson (>= 0.54.0),
+               xmlto,
 Standards-Version: 4.1.1
 Vcs-Git: https://salsa.debian.org/freedesktop-team/shared-mime-info.git
 Vcs-Browser: https://salsa.debian.org/freedesktop-team/shared-mime-info

=== debian/watch ===
version=4
opts="uversionmangle=s/-/~/" \
  https://gitlab.freedesktop.org/xdg/shared-mime-info/-/tags \
  (?:.*?/)?@PACKAGE@-(\d[\d.]*(?:-[a-z]+\d*)?)\.tar\.xz

## shared-mime-info 2.2

=== meson_options.txt ===

option('update-mimedb', type: 'boolean', value: false,
    description: 'Call update-mime-database after install. It should not be enabled if DESTDIR is used.',
)

option('build-tools', type: 'boolean', value: true,
    description: 'Build the update-mime-database tools. If set to false only the mime data is installed.',
)

option('xdgmime-path', type: 'string', value: './xdgmime',
    description: 'Path to the xdgmime executable',
)

=== tests/mime-detection/Makefile ===
all: myprog

myprog:
	$(MAKE) -$(MAKEFLAGS) $(MAKE_FLAGS) -f Makefile.real all

=== debian/changelog ===
shared-mime-info (2.2-1) UNRELEASED; urgency=medium

  * update

 -- Debian freedesktop.org maintainers <pkg-freedesktop-maintainers@lists.alioth.debian.org>  Mon, 06 Jun 2022 08:31:16 -0400

shared-mime-info (2.2-1) unstable; urgency=medium

  *Team upload
  * New upstream release (Closes: #983173)
  * Drop patch: applied in new release
  * Bump debhelper-compat to 13
  * Bump Standards-Version to 4.6.0

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 29 Apr 2022 13:19:08 -0400

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian freedesktop.org maintainers <pkg-freedesktop-maintainers@lists.alioth.debian.org>
 Uploaders: Sebastian Dröge <slomo@debian.org>,
            Emilio Pozuelo Monfort <pochu@debian.org>,
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                docbook-utils,
                docbook-xml,
                gettext,
@@ -14,7 +14,7 @@
                libxml2-utils,
                meson (>= 0.54.0),
                xmlto,
-Standards-Version: 4.1.1
+Standards-Version: 4.6.0
 Vcs-Git: https://salsa.debian.org/freedesktop-team/shared-mime-info.git
 Vcs-Browser: https://salsa.debian.org/freedesktop-team/shared-mime-info
 Homepage: https://freedesktop.org/wiki/Software/shared-mime-info

=== debian/watch ===
version=4
opts="uversionmangle=s/-/~/" \
  https://gitlab.freedesktop.org/xdg/shared-mime-info/-/tags \
  (?:.*?/)?@PACKAGE@-@ANY_VERSION@@ARCHIVE_EXT@

## shared-mime-info 2.4

=== debian/changelog ===
shared-mime-info (2.4-5build2) questing; urgency=medium

  * No-change rebuild for libxml2 soname change.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 21 May 2025 08:19:06 +0200

shared-mime-info (2.4-5build1) plucky; urgency=medium

  * Rebuild against reverted libxml2 to avoid warning (Closes: #1072577)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 22 Mar 2025 20:32:03 -0400

shared-mime-info (2.4-5) unstable; urgency=medium

  * Team upload
  * Allow parallel building
  * Enable all hardening flags
  * Update debian/watch
  * Bump Standards Version to 4.7.0

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 29 May 2024 15:36:52 -0400

shared-mime-info (2.4-4) unstable; urgency=medium

  * Revert 32-bit non-x86 bootstrapping

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 01 Apr 2024 07:58:12 -0400

shared-mime-info (2.4-3) unstable; urgency=medium

  * Team upload
  * Re-upload with correct .orig tarball

 -- Simon McVittie <smcv@debian.org>  Sun, 10 Mar 2024 18:28:10 +0000

shared-mime-info (2.4-2) unstable; urgency=medium

  * Team upload
  * d/clean: Clean up files generated by the tests (Closes: #1047570)
  * d/control, d/rules: Don't build documentation under nodoc build-profile
  * d/control: Stop build-depending on xmlto.
    It's optional since 2.2, and we don't install its output anyway.
  * d/control, d/rules: Temporarily exclude documentation on 32-bit non-x86.
    This allows shared-mime-info to be built for the 64-bit time_t
    transition without needing to wait for texlive-binaries to be rebuilt.

 -- Simon McVittie <smcv@debian.org>  Sun, 10 Mar 2024 16:33:46 +0000

shared-mime-info (2.4-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Add debian/upstream/metadata
  * Update standards version to 4.6.2, no changes needed

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 27 Nov 2023 13:33:14 -0500

=== debian/control ===
--- 
+++ 
@@ -5,16 +5,15 @@
 Uploaders: Sebastian Dröge <slomo@debian.org>,
            Emilio Pozuelo Monfort <pochu@debian.org>,
 Build-Depends: debhelper-compat (= 13),
-               docbook-utils,
-               docbook-xml,
+               docbook-utils <!nodoc>,
+               docbook-xml <!nodoc>,
                gettext,
                itstool,
                libglib2.0-dev (>= 2.6.0),
                libxml2-dev (>= 2.4),
                libxml2-utils,
                meson (>= 0.54.0),
-               xmlto,
-Standards-Version: 4.6.0
+Standards-Version: 4.7.0
 Vcs-Git: https://salsa.debian.org/freedesktop-team/shared-mime-info.git
 Vcs-Browser: https://salsa.debian.org/freedesktop-team/shared-mime-info
 Homepage: https://freedesktop.org/wiki/Software/shared-mime-info

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs

%:
	dh $@

execute_before_dh_install:
ifeq ($(filter nodoc,$(DEB_BUILD_PROFILES)),)
	docbook2pdf -o data data/shared-mime-info-spec.xml
	docbook2html -o data/shared-mime-info-spec.html data/shared-mime-info-spec.xml
endif

override_dh_compress:
	dh_compress -X.pdf

execute_after_dh_clean:
	rm -rf data/shared-mime-info-spec.html data/shared-mime-info-spec.pdf

=== debian/watch ===
version=4
opts="searchmode=plain" \
https://gitlab.freedesktop.org/xdg/@PACKAGE@/tags?sort=updated_desc \
	-/archive/[\d.]+/@PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@
